Apply a service charge to an order

Request body must include the merchant's service charge ID. This ID can be retrieved from /v3/merchants/mId/default_service_charge. Each request can set a different name and percentageDecimal as needed for an order.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Merchant Id

string
required

Order Id

Body Params
string

Unique identifier

string

Service charge name

boolean

Indicates if this service charge is enabled.

int64

Deprecated use percentage decimal instead.

int64

Percent to charge times 10000, for example, 12.5% will be 125000.

boolean

Indicates service charge was auto applied or not.

Headers
string
required

Identifies the application, operating system, vendor, and/or version of the requesting user agent. Format: <product> / <product-version> <comment>

Response
200
Language
Credentials
Bearer
LoadingLoading…
Response
Click Try It! to start a request and see the response here!